Retrieves all the user week approval

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_week_approval
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key of User

globally unique identifier

Required

approved_date_start

Starting date of the approved range

date

Required

approved_date_end

Ending date of the approved range

date

Required

date_approval

Date+Time when the approval occured

date

Required

is_approved

Indicate if the selection (range) is approved

boolean

Required

approved_by_user_id

Foreign key of user,who did the approval

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "7d93da34-0aa2-4d6a-b80b-8122abce95f4",
  "user_id": "d2614782-f1fb-4817-b95a-85aaa7124677",
  "approved_date_start": "2026-11-16T09:49:36.1168295+00:00",
  "approved_date_end": "2026-11-16T09:49:36.1168295+00:00",
  "date_approval": "2026-11-16T09:49:36.1359008+00:00",
  "is_approved": true,
  "approved_by_user_id": "4ea0be0a-e283-4827-a507-29b6ac30bdf3",
  "modified_dateutc": "2026-11-16T09:49:36.1359008+00:00"
}